openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/DD_GET_FIELD_INFO:
    post:
      tags:
      - RFC2
      operationId: /rfc/DD_GET_FIELD_INFO
      requestBody:
        content:
          application/json:
            schema:
              properties:
                APPEND_INFO:
                  type: string
                  default: X
                  maxLength: 1
                  description: Field Name
                CI_INFO:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Field Name
                FIELDNAME:
                  type: string
                  default: ' '
                  maxLength: 30
                  description: Field Name
                INCLUDE_INFO:
                  type: string
                  default: ''
                  maxLength: 1
                  description: Field Name
                STRUCNAME:
                  type: string
                  maxLength: 30
                  description: Name of a Structure or Table
                FIELDINFO:
                  type: array
                  items:
                    type: object
                    properties:
                      NAME:
                        type: string
                        maxLength: 30
                        description: Field Name
                      TOAPPEND:
                        type: string
                        maxLength: 1
                        description: 'Dd: Flag if field belongs to an append'
                      TOCISI:
                        type: string
                        maxLength: 1
                        description: 'Flag whether field belongs to a CI/SI Include  enumValues: X=TRUE,""=FALSE'
                        enum:
                        - X
                        - ''
                      TOINCLUDE:
                        type: string
                        maxLength: 1
                        description: 'Flag whether field belongs to an Include  enumValues: X=TRUE,""=FALSE'
                        enum:
                        - X
                        - ''
              required:
              - FIELDNAME
              - STRUCNAME
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  FIELDINFO:
                    type: array
                    items:
                      type: object
                      properties:
                        NAME:
                          type: string
                          maxLength: 30
                          description: Field Name
                        TOAPPEND:
                          type: string
                          maxLength: 1
                          description: 'Dd: Flag if field belongs to an append'
                        TOCISI:
                          type: string
                          maxLength: 1
                          description: 'Flag whether field belongs to a CI/SI Include  enumValues: X=TRUE,""=FALSE'
                          enum:
                          - X
                          - ''
                        TOINCLUDE:
                          type: string
                          maxLength: 1
                          description: 'Flag whether field belongs to an Include  enumValues: X=TRUE,""=FALSE'
                          enum:
                          - X
                          - ''
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
